summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--src/kernel-install/90-loaderentry.install4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/kernel-install/90-loaderentry.install b/src/kernel-install/90-loaderentry.install
index 6b91d1ccc..a6a8abc2b 100644
--- a/src/kernel-install/90-loaderentry.install
+++ b/src/kernel-install/90-loaderentry.install
@@ -59,7 +59,9 @@ if ! [[ ${BOOT_OPTIONS[*]} ]]; then
exit 1
fi
-cp --preserve "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" || {
+cp "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" &&
+ chown root:root "$BOOT_DIR_ABS/linux" &&
+ chmod 0644 "$BOOT_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$BOOT_DIR_ABS/linux'." >&2
exit 1
}